Bug 136259 - gnbd_export -r doesn't parse parameter list correctly
Summary: gnbd_export -r doesn't parse parameter list correctly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 22:17 UTC by Adam "mantis" Manthei
Modified: 2010-10-29 21:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 21:49:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam "mantis" Manthei 2004-10-18 22:17:06 UTC
Description of problem:
`gnbd_export -r` doesn't verify that there is an argument passed to
the remove option.  According to Ben Marzinski, if there is no GNBD
device listed when '-r' is specified, gnbd_export should error.

Version-Release number of selected component (if applicable):
GFS-6.0.0-15 and earlier

How reproducible:
Always

Steps to Reproduce:
1. gnbd_export -r ; echo $?

  
Actual results:
It prints no error and returns with an exit status of 0

Expected results:
It should print an error indicating that the command is missing an
argument and fail with an exit status of 1.

Comment 1 Ben Marzinski 2004-10-19 19:17:33 UTC
This should be fixed now.

Comment 2 David Lawrence 2006-07-18 02:48:53 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Lon Hohberger 2010-10-29 21:49:11 UTC
This bugzilla is reported to have been fixed years ago.


Note You need to log in before you can comment on or make changes to this bug.